from deep_translator import GoogleTranslator
import locale

class PrintTranslator:
    @staticmethod
    def traducir_print(*args, idioma_destino=None):
        # Detecta el idioma local si no se pasa uno específico
        idioma_local = locale.getdefaultlocale()[0].split('_')[0] if idioma_destino is None else idioma_destino

        # Traducir el mensaje a través de Google Translator
        texto = ' '.join(map(str, args))
        texto_traducido = GoogleTranslator(source='auto', target=idioma_local).translate(texto)
        
        # Imprimir el texto traducido
        print(texto_traducido)

    @staticmethod
    def traducir(*args, destino=None):
        return PrintTranslator.traducir_print(*args, idioma_destino=destino)
